Forward Return Order API:
Description : Use this API to create a return order.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/create_return |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl
curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/create_return' \
--header 'rapidshyp-token: <API-KEY>' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "ret_4",
"orderDate": "2025-02-02",
"pickupLocation": {
"pickup_customer_name": "Avdhesh Test",
"pickup_customer_last_name": "Test",
"pickup_email": "test9088@youpmail.com",
"pickup_phone": "9999999999",
"pickup_address": "Noida Test 001",
"pickup_address_2": "Test Address",
"pickup_pincode": "110001"
},
"storeName": "DEFAULT",
"return_reason_code": "",
"deliveryAddress_name": "rajesh test",
"deliveryAddress": {
"deliverylocation_name": "",
"contact_name": "AVdheshjj",
"delivery_address1": "Address Kumar opts hhhhhh jj knlllllll",
"delivery_address2": "",
"pincode": "110001",
"delivery_email": "email@gmail.com",
"delivery_phone": "9999999999"
},
"orderItems": [
{
"itemName": "TESTINGQ",
"sku": "",
"units": 3,
"unitPrice": 20.0,
"tax": 10.0,
"hsn": "",
"productLength": 10.0,
"productBreadth": 5.0,
"productHeight": 2.0,
"productWeight": 2000.0,
"brand": ""
},
{
"itemName": "TESTINGQa",
"sku": "Test",
"units": 2,
"unitPrice": 50.0,
"tax": 0.0,
"hsn": "HSN456",
"productLength": 11.0,
"productBreadth": 12.0,
"productHeight": 12.0,
"productWeight": 3.0,
"brand": ""
}
],
"packageDetails": {
"packageLength": 11.0,
"packageBreadth": 21.0,
"packageHeight": 21.0,
"packageWeight": 1100
},
"comment": ""
}'
Request Parameters:
| Request Parameters | Required | Remark | Validation | Value from cURL |
|---|---|---|---|---|
| orderId | Mandatory | Seller order ID on channel/store/website | Minimum 1 character | ret_4 |
| orderDate | Mandatory | Order created date on channel/store/website | Format: YYYY-MM-DD | 2025-02-02 |
| pickupLocation | Mandatory | Pickup location details | ||
| pickup_customer_name | Mandatory | Customer first name | Combined first + last name length 3–75 | Avdhesh Test |
| pickup_customer_last_name | Non-Mandatory | Customer last name | — | Test |
| pickup_email | Non-Mandatory | Customer email | — | test9088@youpmail.com |
| pickup_phone | Mandatory | Customer phone number | Must start with 6,7,8,9 | 9999999999 |
| pickup_address | Mandatory | Pickup address line 1 | 3–100 characters | Noida Test 001 |
| pickup_address_2 | Non-Mandatory | Pickup address line 2 | 3–100 characters if present | Wahi pr chale jao tum chup chap |
| pickup_pincode | Mandatory | Customer pincode | Must be 6 digit | 110001 |
| storeName | Mandatory | Store name created on Rapidshyp | Default value | DEFAULT |
| return_reason_code | Non-Mandatory | If blank, “others” is passed as return reason | Return reason code sheet | "" |
| deliveryAddress_name | Mandatory | Mapped delivery location (warehouse name) | — | rajesh test |
| deliveryAddress | Conditional | Delivery address details | ||
| deliverylocation_name | Conditional | Not required if Rapidshyp warehouse used | — | "" |
| contact_name | Conditional | Delivery contact person | — | AVdheshjj |
| delivery_address1 | Conditional | Delivery address line 1 | — | Address Kumar opts hhhhhh jj knlllllll |
| delivery_address2 | Non-Mandatory | Delivery address line 2 | — | "" |
| pincode | Conditional | Delivery pincode | 6 digit | 110001 |
| delivery_email | Non-Mandatory | Delivery email | — | email@gmail.com |
| delivery_phone | Conditional | Delivery phone | — | 9999999999 |
| orderItems | Mandatory | Item level details | ||
| itemName | Mandatory | Item name | 3–200 characters | TESTINGQ / TESTINGQa |
| sku | Non-Mandatory | SKU ID | 3–200 characters | "" / Test |
| units | Mandatory | Quantity of items | Must be > 0 | 3 / 2 |
| unitPrice | Mandatory | Unit price inclusive of taxes | — | 20.0 / 50.0 |
| tax | Non-Mandatory | Tax amount | Pass 0 if zero tax | 10.0 / 0.0 |
| hsn | Non-Mandatory | HSN code | — | "" / HSN456 |
| productLength | Non-Mandatory | Product length | In cm | 10.0 / 11.0 |
| productBreadth | Non-Mandatory | Product breadth | In cm | 5.0 / 12.0 |
| productHeight | Non-Mandatory | Product height | In cm | 2.0 / 12.0 |
| productWeight | Non-Mandatory | Product weight | In gm | 2000.0 / 3.0 |
| brand | Non-Mandatory | Brand name | — | "" |
| packageDetails | Mandatory | Package details | ||
| packageLength | Mandatory | Package length | In cm | 11 |
| packageBreadth | Mandatory | Package breadth | In cm | 21 |
| packageHeight | Mandatory | Package height | In cm | 21 |
| packageWeight | Mandatory | Package weight | In gm | 1100 |
| comment | Non-Mandatory | Custom comment | — | "" |
Response:
JSON
{
"status": "success",
"remark": "Return order created successfully",
"order_id": "ret_247",
"shipment": [
{
"shipment_id": "RS2603906",
"total_value": 160.0,
"shipment_items": [
{
"name": "TESTINGQ",
"sku": "TESTINGQ",
"units": 3,
"selling_price": 60.0
},
{
"name": "TESTINGQa",
"sku": "Test",
"units": 2,
"selling_price": 100.0
}
]
}
]
}